
local StoneGateV6 = ...

-- Apply building asset processor
StoneGateV6:registerAssetProcessor("models/woodenFloors/woodenFloorMain.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})
StoneGateV6:registerAssetProcessor("models/woodenFloors/woodenFloorKeep.fbx", {
	DataType = "BUILDING_ASSET_PROCESSOR"
})

function registerRoofPart(_nameFbxFile, _nameFbx, _nameAsset)
    StoneGateV6:registerAssetId("models/woodenFloors/" .. _nameFbxFile .. ".fbx/Prefab/woodenFloor/" .. _nameFbx .. "Part", StoneGateSetPrefix .. "_" .. _nameAsset .. "_PREFAB")

-- Register the stone gate set decoration roof part
    StoneGateV6:register({
	DataType = "BUILDING_PART",
	Id = StoneGateSetPrefix .. "_" .. _nameAsset .. "_PART",
	Name = StoneGateSetPrefix .. "_" .. _nameAsset .. "_NAME",
	Description = StoneGateSetPrefix .. "_" .. _nameAsset .. "_DESC",
	Category = "EXTENSION",
	Mover = { DataType = "BUILDING_PART_MOVER_INSTANCE" },
	ConstructorData = {
		DataType = "BUILDING_CONSTRUCTOR_DEFAULT",
		CoreObjectPrefab = StoneGateSetPrefix .. "_" .. _nameAsset .. "_PREFAB",
                IsPreviewGroundVisible = false
	},
	Cost = {
		UpkeepCost = {
			{ Resource = "GOLD", Quantity = 0 }
		},
		RessourcesNeeded = { -- List of RESOURCE_QUANTITY_PAIR
			{ Resource = "PLANK", Quantity = 5 }
		}
	}
    })

    StoneGateV6:registerPrefabComponent("models/woodenFloors/" .. _nameFbxFile .. ".fbx/Prefab/woodenFloor/" .. _nameFbx .. "Part", {
	DataType = "COMP_BUILDING_PART",
	BuildingPartType = "MAJOR",
	BuildingZone = { 0, 0 }
    })
end

registerRoofPart( "woodenFloorMain", "step_2_WFMainA", "WFMAIN_A" )
registerRoofPart( "woodenFloorKeep", "step_2_WFKeepA", "WFKEEP_A" )
